Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QSignalEmitter.AbstractSignal.Connection

    java.lang.Object
      com.trolltech.qt.QSignalEmitter.AbstractSignal.Connection

Enclosing class:
  QSignalEmitter.AbstractSignal

    protected class QSignalEmitter.AbstractSignal.Connection

extends java.lang.Object

Contains book holding info about a single connection

Field Summary
`java.lang.Object[]` | `args`
`int[]` | `convertTypes`
`static int` | `DIRECT_CONNECTION`
`int` | `flags`
`static int` | `PUBLIC_SLOT`
`static int` | `QUEUED_CONNECTION`
`java.lang.Object` | `receiver`
`byte` | `returnType`
`java.lang.reflect.Method` | `slot`
`long` | `slotId`

Constructor Summary
`QSignalEmitter.AbstractSignal.Connection(java.lang.Object receiver, java.lang.reflect.Method slot, byte returnType, byte connectionType)`

Method Summary
`boolean` | `isAutoConnection()`
`boolean` | `isDirectConnection()`
`boolean` | `isQueuedConnection()`
`boolean` | `isSlotPublic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public int flags

### receiver

    public java.lang.Object receiver

### slot

    public java.lang.reflect.Method slot

### returnType

    public byte returnType

### convertTypes

    public int[] convertTypes

### slotId

    public long slotId

### args

    public java.lang.Object[] args

### DIRECT_CONNECTION

    public static final int DIRECT_CONNECTION

See Also:
  Constant Field Values

### QUEUED_CONNECTION

    public static final int QUEUED_CONNECTION

See Also:
  Constant Field Values

### PUBLIC_SLOT

    public static final int PUBLIC_SLOT

See Also:
  Constant Field Values

Constructor Detail

### QSignalEmitter.AbstractSignal.Connection

    public QSignalEmitter.AbstractSignal.Connection(java.lang.Object receiver,
                                                    java.lang.reflect.Method slot,
                                                    byte returnType,
                                                    byte connectionType)

Method Detail

### isSlotPublic

    public final boolean isSlotPublic()

### isQueuedConnection

    public final boolean isQueuedConnection()

### isDirectConnection

    public final boolean isDirectConnection()

### isAutoConnection

    public final boolean isAutoConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD